package com.op.mes.mapper;

import java.util.List;

import com.op.mes.domain.ProRouteProduct;
import org.apache.ibatis.annotations.Mapper;

/**
 * 工艺产品（物料）关联Mapper接口
 *
 * @author Open Platform
 * @date 2023-07-13
 */
@Mapper
public interface ProRouteProductMapper {
	/**
	 * 查询工艺产品（物料）关联
	 *
	 * @param recordId 工艺产品（物料）关联主键
	 * @return 工艺产品（物料）关联
	 */
	public ProRouteProduct selectProRouteProductByRecordId(String recordId);

	/**
	 * 查询工艺产品（物料）关联列表
	 *
	 * @param proRouteProduct 工艺产品（物料）关联
	 * @return 工艺产品（物料）关联集合
	 */
	public List<ProRouteProduct> selectProRouteProductList(ProRouteProduct proRouteProduct);

	/**
	 * 新增工艺产品（物料）关联
	 *
	 * @param proRouteProduct 工艺产品（物料）关联
	 * @return 结果
	 */
	public int insertProRouteProduct(ProRouteProduct proRouteProduct);

	/**
	 * 修改工艺产品（物料）关联
	 *
	 * @param proRouteProduct 工艺产品（物料）关联
	 * @return 结果
	 */
	public int updateProRouteProduct(ProRouteProduct proRouteProduct);

	/**
	 * 删除工艺产品（物料）关联
	 *
	 * @param recordId 工艺产品（物料）关联主键
	 * @return 结果
	 */
	public int deleteProRouteProductByRecordId(String recordId);

	/**
	 * 批量删除工艺产品（物料）关联
	 *
	 * @param recordIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProRouteProductByRecordIds(String[] recordIds);

	public List<ProRouteProduct> getRouteProdProductListUndo(ProRouteProduct proRouteProduct);
	List<ProRouteProduct> getRouteProdProductListDo(ProRouteProduct proRouteProduct);

	void deleteByRouteId(ProRouteProduct proRouteProduct);
}
